/*
 * Inventek Systems, LLC (c) Copyright 2016
 * All Rights Reserved.
 *
 * To use you will need the following software:
 * 	Hercules Setup Utility: http://www.hw-group.com/products/hercules/index_en.html
 *
 * 	It will be used as a TCP Client when the application is in Server mode (default)
 * 	and a TCP Server when the application is in Client mode.
 *
 *  Application, Server Mode:
 *   Application:
 *   1. Set the AP_SSID and AP_PASSWORD to your Access Point
 *   2. Build and Run
 *
 *   Hercules:
 *   1. Select the TCP Client tab
 *   2. Set Client to the IP address
 *   3. Set Port to 8002
 *   4. Connect PC to same network as Application is connecting to (See Network Settings below)
 *   5. Wait for "Server Ready"
 *   6. Click "Connect" button
 *   7. Use a "Send" box to send a message to the Application. When the message is received
 *     it will be echoed back to the terminal
 *
 *  Application, Client Mode:
 *   Hercules:
 *   1. Select the TCP Server tab
 *   2. Set Port to 8002
 *   3. In "Server settings" check the "Server echo
 *   3. Click "Listen" button
 *
 *   Application:
 *   1. In Application, locate "Client Settings"
 *   2. Un-comment Client define
 *   3. Set IPADDR to the IP address of the PC connect to the same network in the "Network Settings"
 *   4. Optional, change the "Test Message". Note the message length + 7 can't be larger than the
 *      MAX_MSG_SIZE define below.
 *   5. Build and Run
 *   6. The received message (echoed) from server will be outputed on the debug terminal.
 *
 *-------------------------------------------------------------------------------
 * LICENSE:
 *  THE IWIN PROGRAM IS FREE SOFTWARE FOR INVENTEK CUSTOMERS ONLY.
 *  INVENTEK SYSTEMS RETAINS ALL OWNERSHIP AND INTELLECTUAL PROPERTY RIGHTS
 *  IN THE IWIN CODE ACCOMPANYING THIS MESSAGE AND IN ALL DERIVATIVES HERETO.
 *  USER MAY USE THE IWIN CODE, AND ANY DERIVATIVES CREATED BY ANY PERSON OR
 *  ENTITY BY OR ON USER?S BEHALF, EXCLUSIVELY WITH INVENTEK'S PROPRIETARY
 *  PRODUCTS.
 *
 *  USER AGREES THAT USER IS SOLELY RESPONSIBLE FOR TESTING THE CODE AND
 *  DETERMINING IT?S SUITABILITY.  INVENTEK HAS NO OBLIGATION TO MODIFY, TEST,
 *  CERTIFY, OR SUPPORT THE CODE.
 *
 *  USER ACCEPTANCE AND/OR USE OF THE IWIN CODE CONSTITUTES AGREEMENT TO THE
 *  TERMS AND CONDITIONS OF THIS NOTICE. IWIN CAN BE REDISTRIBUTED AND/OR
 *  MODIFIED BY INVENTEK CUSTOMERS ONLY AND UNDER THE TERMS OF THE GNU GENERAL
 *  PUBLIC LICENSE AS PUBLISHED BY THE FREE SOFTWARE FOUNDATION, EITHER VERSION
 *  3 OF THE LICENSE, OR (AT USER?S OPTION) ANY LATER VERSION.
 *
 *  THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT
 *  ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS
 *  FOR A PARTICULAR PURPOSE.  REFERENCE THE GNU GENERAL PUBLIC LICENSE FOR MORE
 *  DETAILS.
 *
 *  CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY INVENTEK "AS IS".  NO WARRANTIES,
 *  WHETHER EXPRESSED, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO,
 *  IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A
 *  PARTICULAR PURPOSE APPLY TO THIS CODE, IT?S INTERACTION WITH INVENTEK 'S
 *  PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.
 *
 *  USER ACKNOWLEDGES AND AGREES THAT, IN NO EVENT, SHALL INVENTEK BE LIABLE,
 *  WHETHER IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF
 *  STATUTORY DUTY), STRICT LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE,
 *  FOR ANY INDIRECT, SPECIAL, PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL
 *  LOSS, DAMAGE, FOR COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE CODE,
 *  HOWSOEVER CAUSED, EVEN IF INVENTEK HAS BEEN ADVISED OF THE POSSIBILITY OR THE
 *  DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT ALLOWABLE BY LAW, INVENTEK 'S
 *  TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS CODE, SHALL NOT
 *  EXCEED THE PRICE PAID DIRECTLY TO INVENTEK SPECIFICALLY TO HAVE THIS CODE
 *  DEVELOPED.
 *
 *  USER SHOULD HAVE RECEIVED A COPY OF THE GNU GENERAL PUBLIC LICENSE ALONG
 *  WITH THIS PROGRAM. IF NOT, SEE <HTTP://WWW.GNU.ORG/LICENSES/>.
 *-------------------------------------------------------------------------------
 */
#ifndef __EVB_H
#define __EVB_H

#include <project.h>

/*****************************************************************************
* MACRO Definitions
*****************************************************************************/   
/* Boolean constants */
#define TRUE				1
#define FALSE				0
#define ON					TRUE
#define OFF					FALSE
#define SET				    ON
#define CLEAR			    OFF
#define ENABLED             TRUE
#define DISABLED            FALSE
#define FOREVER             TRUE

#define GLOW                TRUE
#define DIM                 FALSE

/* Constants for color selection */
#define COLOR_RED			1
#define COLOR_GREEN		    2
#define COLOR_BLUE			3

#define TIMER_LED           3 // 3 = 1 second 

    
// USB
#define USB					TRUE    
#if (USB==TRUE)				// USB mode
#define PRINT_CHAR_DBG      USBUART_DEBUG_PutChar
#define PRINT_DBG	        USBUART_DEBUG_PutString
#endif
    
    

// global varibles 
volatile uint8 timerTick;	
volatile uint8 timerLedTick;	
volatile uint8 timerCounter;

/* function prototypes -----------------------------------------------*/
void remove_all_chars(char* str, char c);


#endif
/* [] END OF FILE */
